#ifndef _WINAMPWIDE_HOOK_DLL_H
#define _WINAMPWIDE_HOOK_DLL_H

  // DIRECTIVES
	#ifdef _SpecialHook
	#define HOOKDLL_API __declspec(dllexport)
	#else
	#define HOOKDLL_API __declspec(dllimport)
	#endif

  // INCLUDES
  #include "WinampWideTypes.h"
	#include <windows.h>

  // DEFINES
  #define WAW_INI_FILE "WinampWide.ini"

  // PROTOTYPES
  LRESULT CALLBACK WinampWide_KeyboardHook(int nCode, WPARAM wParam, LPARAM lParam);
  pWawKeyCodes WinampWide_SetupKeys(void);

  BOOL HOOKDLL_API WinampWide_InstallHook(DWORD threadId);
  BOOL HOOKDLL_API WinampWide_UnInstallHook();

#endif // _WINAMPWIDE_HOOK_DLL_H

